import type { AnnotateHook, ChangeAnnotationResolver } from "../types";
export declare const jsonSchemaAnnotations: {
    readonly add: "[Added] {{text}}";
    readonly add_target: "[Added] {{text}} to `{{target}}`";
    readonly remove: "[Removed] {{text}}";
    readonly remove_target: "[Removed] {{text}} from `{{target}}`";
    readonly replace: "[Replaced] {{text}}";
    readonly replace_target: "[Replaced] {{text}} of `{{target}}`";
    readonly rename: "[Renamed] {{text}}";
    readonly rename_target: "[Renamed] {{text}} of `{{target}}`";
    readonly status: "{{key}} status";
    readonly validation: "{{key}} validator";
    readonly annotation: "annotation ({{key}})";
    readonly enum: "possible values";
    readonly format: "value format";
    readonly default: "default value";
    readonly const: "possible value";
    readonly type: "type definition";
    readonly nullable: "possbile nullable value";
    readonly property: "property `{{key}}`";
    readonly arratItem: "array item with index `{{key}}`";
    readonly patternProperty: "property with key pattern `{{key}}`";
    readonly additionalProperties: "schema for additional properties";
    readonly arrayItems: "schema for array items";
    readonly additionalArrayItems: "schema for additional array items";
    readonly oneOfItem: "oneOf schema";
    readonly anyOfItem: "anyOf schema";
    readonly allOfItem: "allOf schema";
};
export declare const jsonSchemaAnnotationHook: AnnotateHook;
export declare const schemaAnnotationChange: ChangeAnnotationResolver;
export declare const schemaExampleChange: ChangeAnnotationResolver;
export declare const schemaValidationChange: ChangeAnnotationResolver;
export declare const schemaStatusChange: ChangeAnnotationResolver;
export declare const jsonSchemaKeyChange: ChangeAnnotationResolver;
export declare const schemaKeyItemChange: ChangeAnnotationResolver;
