import type { JsonPath } from "json-crawl";
import type { AllOfNode } from "./jsonSchema.types";
export declare function isAllOfNode(value: any): value is AllOfNode;
export declare const resolveRefNode: (data: any, node: any) => any;
export declare const isValidType: (maybeType: unknown) => maybeType is "string" | "number" | "boolean" | "object" | "any" | "integer" | "null" | "array";
export declare function inferTypes(fragment: unknown): string[];
export declare const isValidSchemaTypes: (types: string[], value: unknown) => boolean;
export declare function unwrapStringOrNull(value: unknown): string | null;
export declare function unwrapArrayOrNull(value: unknown): unknown[] | null;
export declare const buildPath: (path: JsonPath) => string;
export declare const isCycleRef: ($ref: string, path: string, refs: Record<string, string[]>) => boolean;
export declare const getCompareId: (beforeRef: string, afterRef: string) => string;
export declare const resolveRef: (node: unknown, source: unknown) => any;
export declare const getRef: ($ref?: string) => string;
export declare const mergeCombinarySibling: (value: Record<string, unknown>, combiner: string, allowedSibling?: string[]) => Record<string, unknown>;
export declare const mergeAllOfSibling: (value: Record<string, unknown>, allowedSibling?: string[]) => Record<string, unknown>;
export declare const mergeRefSibling: (value: Record<string, unknown>, allowedSibling?: string[]) => Record<string, unknown>;
export declare const createEmptyCombiner: (value: Record<string, unknown>, combiner: string, allowedSibling?: string[]) => {
    [x: string]: unknown;
};
export declare const getTarget: (path: JsonPath, prefix?: string) => string | undefined;
