import { JsonPath } from "json-crawl";
export declare const isKey: <T extends object>(x: T, k: PropertyKey) => k is keyof T;
export declare const isObject: (value: unknown) => value is Record<string, unknown>;
export declare const isArray: (value: unknown) => value is unknown[];
export declare const isNotEmptyArray: (value: unknown) => boolean;
export declare const isExist: (value: unknown) => boolean;
export declare const isString: (value: unknown) => value is string;
export declare const isNumber: (value: unknown) => value is number;
export declare const isFunc: (value: unknown) => value is Function;
export declare const typeOf: (value: unknown) => string;
export declare const objectKeys: <T extends {}>(value: T) => (keyof T)[];
export declare const setKeyValue: (obj: Record<string | number, unknown>, key: string | number, value: unknown) => Record<string | number, unknown>;
export declare const filterObj: <T extends {}>(value: T, func: (key: number | string | symbol, obj: T) => boolean) => Partial<T>;
export declare const excludeKeys: <T extends {}>(value: T, keys: (keyof T)[]) => Partial<T>;
export declare const getKeyValue: (obj: unknown, ...path: JsonPath) => unknown | undefined;
export declare const getStringValue: (obj: unknown, ...path: JsonPath) => string | undefined;
export declare const getObjectValue: (obj: unknown, ...path: JsonPath) => Record<string | number, unknown> | undefined;
export declare const getArrayValue: (obj: unknown, ...path: JsonPath) => Array<unknown> | undefined;
export declare const getNumberValue: (obj: unknown, ...path: JsonPath) => number | undefined;
export declare const getBooleanValue: (obj: unknown, ...path: JsonPath) => boolean | undefined;
export declare const joinPath: (base: JsonPath, ...items: JsonPath[]) => JsonPath;
